<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>CS 250 Data Structures: cuTest::TesterBase Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">CS 250 Data Structures
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacecuTest.html">cuTest</a></li><li class="navelem"><a class="el" href="classcuTest_1_1TesterBase.html">TesterBase</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="classcuTest_1_1TesterBase-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">cuTest::TesterBase Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>The base class for unit tests.  
 <a href="classcuTest_1_1TesterBase.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="TesterBase_8h_source.html">TesterBase.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for cuTest::TesterBase:</div>
<div class="dyncontent">
<div class="center"><img src="classcuTest_1_1TesterBase__inherit__graph.png" border="0" usemap="#cuTest_1_1TesterBase_inherit__map" alt="Inheritance graph"/></div>
<map name="cuTest_1_1TesterBase_inherit__map" id="cuTest_1_1TesterBase_inherit__map">
<area shape="rect" title="The base class for unit tests." alt="" coords="37,5,172,32"/>
<area shape="rect" href="classDataStructure_1_1SmartDynamicArrayTester.html" title="TESTER for the SmartDynamicArray." alt="" coords="5,80,204,121"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:aa9cf45121658bd17fb704c1c96adc444"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcuTest_1_1TesterBase.html#aa9cf45121658bd17fb704c1c96adc444">TesterBase</a> ()</td></tr>
<tr class="separator:aa9cf45121658bd17fb704c1c96adc444"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9965d9132c9e209d9c5e343495ea7950"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcuTest_1_1TesterBase.html#a9965d9132c9e209d9c5e343495ea7950">TesterBase</a> (std::string outputPath)</td></tr>
<tr class="separator:a9965d9132c9e209d9c5e343495ea7950"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5d0b4d402a3082f38c14222671585e6b"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcuTest_1_1TesterBase.html#a5d0b4d402a3082f38c14222671585e6b">~TesterBase</a> ()</td></tr>
<tr class="separator:a5d0b4d402a3082f38c14222671585e6b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4630b6e9ceb6ecddb4da589d21625c86"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcuTest_1_1TesterBase.html#a4630b6e9ceb6ecddb4da589d21625c86">Open</a> (std::string outputPath)</td></tr>
<tr class="separator:a4630b6e9ceb6ecddb4da589d21625c86"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2affa3fca135f0750edf235ecf79aaae"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcuTest_1_1TesterBase.html#a2affa3fca135f0750edf235ecf79aaae">Close</a> ()</td></tr>
<tr class="separator:a2affa3fca135f0750edf235ecf79aaae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2a92f7f5697b4021c703b7f7a8828ef7"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcuTest_1_1TesterBase.html#a2a92f7f5697b4021c703b7f7a8828ef7">Start</a> ()</td></tr>
<tr class="separator:a2a92f7f5697b4021c703b7f7a8828ef7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a15f97e1dd564697810be0e11e3bb0f94"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcuTest_1_1TesterBase.html#a15f97e1dd564697810be0e11e3bb0f94">AddTest</a> (const <a class="el" href="structcuTest_1_1TestListItem.html">TestListItem</a> &amp;test)</td></tr>
<tr class="separator:a15f97e1dd564697810be0e11e3bb0f94"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr class="memitem:acbca09d352bd263a5ff704d91c5f8054"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcuTest_1_1TesterBase.html#acbca09d352bd263a5ff704d91c5f8054">OutputHeader</a> ()</td></tr>
<tr class="separator:acbca09d352bd263a5ff704d91c5f8054"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adde716c3182c49a2ab3d187f041b239c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcuTest_1_1TesterBase.html#adde716c3182c49a2ab3d187f041b239c">OutputFooter</a> ()</td></tr>
<tr class="separator:adde716c3182c49a2ab3d187f041b239c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abe08aade4d89547d7a1908a0d91b2cba"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcuTest_1_1TesterBase.html#abe08aade4d89547d7a1908a0d91b2cba">TestAll</a> ()</td></tr>
<tr class="separator:abe08aade4d89547d7a1908a0d91b2cba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a90e7106db74fa996c99b813444344477"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcuTest_1_1TesterBase.html#a90e7106db74fa996c99b813444344477">StartTestSet</a> (std::string name, const std::vector&lt; std::string &gt; &amp;prereqs)</td></tr>
<tr class="separator:a90e7106db74fa996c99b813444344477"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a30835f7ae4de6cecc01c09770d3abcc9"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcuTest_1_1TesterBase.html#a30835f7ae4de6cecc01c09770d3abcc9">FinishTestSet</a> ()</td></tr>
<tr class="separator:a30835f7ae4de6cecc01c09770d3abcc9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1ea85d1eb04b9a2e3c07aa6ef8407130"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcuTest_1_1TesterBase.html#a1ea85d1eb04b9a2e3c07aa6ef8407130">FinishTest</a> ()</td></tr>
<tr class="separator:a1ea85d1eb04b9a2e3c07aa6ef8407130"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af4fc40455f529a9851fdccb84db10389"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcuTest_1_1TesterBase.html#af4fc40455f529a9851fdccb84db10389">StartTest</a> (std::string description)</td></tr>
<tr class="separator:af4fc40455f529a9851fdccb84db10389"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3e6bca81ecb880bf32d3572f2d237734"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcuTest_1_1TesterBase.html#a3e6bca81ecb880bf32d3572f2d237734">TestFail</a> ()</td></tr>
<tr class="separator:a3e6bca81ecb880bf32d3572f2d237734"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:addf84f4ff28c390cca523d997815998a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcuTest_1_1TesterBase.html#addf84f4ff28c390cca523d997815998a">TestFail</a> (std::string message)</td></tr>
<tr class="separator:addf84f4ff28c390cca523d997815998a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3e206ea9b07dd28b494d200addfcdd73"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcuTest_1_1TesterBase.html#a3e206ea9b07dd28b494d200addfcdd73">TestPass</a> ()</td></tr>
<tr class="separator:a3e206ea9b07dd28b494d200addfcdd73"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad1ac34cf721dafab16772c6a9825f82b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcuTest_1_1TesterBase.html#ad1ac34cf721dafab16772c6a9825f82b">DisplayTestInfo</a> ()</td></tr>
<tr class="separator:ad1ac34cf721dafab16772c6a9825f82b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2b4d4fca955849d282be440f6e61ed23"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcuTest_1_1TesterBase.html#a2b4d4fca955849d282be440f6e61ed23">TestResult</a> ()</td></tr>
<tr class="separator:a2b4d4fca955849d282be440f6e61ed23"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab479ce7faa4540ffad61f766bc6f51f5"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcuTest_1_1TesterBase.html#ab479ce7faa4540ffad61f766bc6f51f5">PrereqTest_Success</a> (std::string functionName)</td></tr>
<tr class="separator:ab479ce7faa4540ffad61f766bc6f51f5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a66f41a6e85516933315cf679b12064f0"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcuTest_1_1TesterBase.html#a66f41a6e85516933315cf679b12064f0">PrereqTest_Abort</a> (std::string functionName)</td></tr>
<tr class="separator:a66f41a6e85516933315cf679b12064f0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab246564dea42e4e14468c90841aa8a4f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcuTest_1_1TesterBase.html#ab246564dea42e4e14468c90841aa8a4f">WriteoutRow</a> ()</td></tr>
<tr class="separator:ab246564dea42e4e14468c90841aa8a4f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad3178736d50e878542de564e148a6841"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcuTest_1_1TesterBase.html#ad3178736d50e878542de564e148a6841">WriteoutSummary</a> ()</td></tr>
<tr class="separator:ad3178736d50e878542de564e148a6841"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3bc8faf19475cec37646d7893cf6ee24"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcuTest_1_1TesterBase.html#a3bc8faf19475cec37646d7893cf6ee24">BeginTable</a> ()</td></tr>
<tr class="separator:a3bc8faf19475cec37646d7893cf6ee24"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a909dd5ccf8596169b911506a2a809566"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcuTest_1_1TesterBase.html#a909dd5ccf8596169b911506a2a809566">EndTable</a> ()</td></tr>
<tr class="separator:a909dd5ccf8596169b911506a2a809566"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac370bce9a3cbfc9247424d66664e4e05"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcuTest_1_1TesterBase.html#ac370bce9a3cbfc9247424d66664e4e05">Set_TestSet</a> (std::string value)</td></tr>
<tr class="separator:ac370bce9a3cbfc9247424d66664e4e05"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7309041de77628a4a582c58133574842"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcuTest_1_1TesterBase.html#a7309041de77628a4a582c58133574842">Set_TestName</a> (std::string value)</td></tr>
<tr class="separator:a7309041de77628a4a582c58133574842"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5f39ef8cb60267fe930191b8b583a5a0"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcuTest_1_1TesterBase.html#a5f39ef8cb60267fe930191b8b583a5a0">Set_TestPrerequisites</a> (const std::vector&lt; std::string &gt; &amp;prereqs)</td></tr>
<tr class="separator:a5f39ef8cb60267fe930191b8b583a5a0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a20017e79def0186657d94baccf25f2da"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcuTest_1_1TesterBase.html#a20017e79def0186657d94baccf25f2da">Set_Result</a> (bool passed)</td></tr>
<tr class="separator:a20017e79def0186657d94baccf25f2da"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af8dbf4d3a6321c72f3c8000622e46c31"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcuTest_1_1TesterBase.html#af8dbf4d3a6321c72f3c8000622e46c31">Set_ExpectedOutput</a> (std::string variable)</td></tr>
<tr class="separator:af8dbf4d3a6321c72f3c8000622e46c31"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac0373c6ca530dc6228868f485dfc3674"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcuTest_1_1TesterBase.html#ac0373c6ca530dc6228868f485dfc3674">Set_ExpectedOutput</a> (std::string variable, std::string value, bool stringQuotes=true)</td></tr>
<tr class="separator:ac0373c6ca530dc6228868f485dfc3674"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab02701de43bd20fd1838604cb58fbf57"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcuTest_1_1TesterBase.html#ab02701de43bd20fd1838604cb58fbf57">Set_ExpectedOutput</a> (std::string variable, int value)</td></tr>
<tr class="separator:ab02701de43bd20fd1838604cb58fbf57"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a25cafcbb4dbd7f23335dae29721add73"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcuTest_1_1TesterBase.html#a25cafcbb4dbd7f23335dae29721add73">Set_ExpectedOutput</a> (std::string variable, char value)</td></tr>
<tr class="separator:a25cafcbb4dbd7f23335dae29721add73"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a714cb39d9e79f70faab1110ff655ff6e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcuTest_1_1TesterBase.html#a714cb39d9e79f70faab1110ff655ff6e">Set_ExpectedOutput</a> (std::string variable, bool value)</td></tr>
<tr class="separator:a714cb39d9e79f70faab1110ff655ff6e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a510ab9a964cdf30017407675fe86f314"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcuTest_1_1TesterBase.html#a510ab9a964cdf30017407675fe86f314">Set_ActualOutput</a> (std::string variable)</td></tr>
<tr class="separator:a510ab9a964cdf30017407675fe86f314"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0cb915753e5d4b2831a9dfa2620f37fc"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcuTest_1_1TesterBase.html#a0cb915753e5d4b2831a9dfa2620f37fc">Set_ActualOutput</a> (std::string variable, std::string value, bool stringQuotes=true)</td></tr>
<tr class="separator:a0cb915753e5d4b2831a9dfa2620f37fc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2006dabe8bf409fbf33e95ee93919cb5"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcuTest_1_1TesterBase.html#a2006dabe8bf409fbf33e95ee93919cb5">Set_ActualOutput</a> (std::string variable, int value)</td></tr>
<tr class="separator:a2006dabe8bf409fbf33e95ee93919cb5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9835cce49c090b913e002e23147e92db"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcuTest_1_1TesterBase.html#a9835cce49c090b913e002e23147e92db">Set_ActualOutput</a> (std::string variable, char value)</td></tr>
<tr class="separator:a9835cce49c090b913e002e23147e92db"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac374b7af2940333533ad0747c911b6bc"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcuTest_1_1TesterBase.html#ac374b7af2940333533ad0747c911b6bc">Set_ActualOutput</a> (std::string variable, bool value)</td></tr>
<tr class="separator:ac374b7af2940333533ad0747c911b6bc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac05ab5eb13b4f0be9b9e05311c9c08d2"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcuTest_1_1TesterBase.html#ac05ab5eb13b4f0be9b9e05311c9c08d2">Set_Outputs</a> (std::string label, std::string expected, std::string actual, bool stringQuotes=true)</td></tr>
<tr class="separator:ac05ab5eb13b4f0be9b9e05311c9c08d2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a780e5ed3f45cb7f70a871b8a976b586f"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcuTest_1_1TesterBase.html#a780e5ed3f45cb7f70a871b8a976b586f">Set_Outputs</a> (std::string label, int expected, int actual)</td></tr>
<tr class="separator:a780e5ed3f45cb7f70a871b8a976b586f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aedbedf1e7e96b2ec2e713174ea4a7dc7"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcuTest_1_1TesterBase.html#aedbedf1e7e96b2ec2e713174ea4a7dc7">Set_Outputs</a> (std::string label, char expected, char actual)</td></tr>
<tr class="separator:aedbedf1e7e96b2ec2e713174ea4a7dc7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0a6c5f7a8215736ca76bd258ae93fb28"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcuTest_1_1TesterBase.html#a0a6c5f7a8215736ca76bd258ae93fb28">Set_Outputs</a> (std::string label, bool expected, bool actual)</td></tr>
<tr class="separator:a0a6c5f7a8215736ca76bd258ae93fb28"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9c092fea22e30fde8989e97b798eee01"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcuTest_1_1TesterBase.html#a9c092fea22e30fde8989e97b798eee01">Set_Comments</a> (std::string value)</td></tr>
<tr class="separator:a9c092fea22e30fde8989e97b798eee01"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:a0c6cd37c720a2049b7c6bbc683bb8f33"><td class="memItemLeft" align="right" valign="top">std::list&lt; <a class="el" href="structcuTest_1_1TestListItem.html">TestListItem</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcuTest_1_1TesterBase.html#a0c6cd37c720a2049b7c6bbc683bb8f33">m_tests</a></td></tr>
<tr class="separator:a0c6cd37c720a2049b7c6bbc683bb8f33"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7566b61f7f50cfcde4e6213bd4f19c1a"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcuTest_1_1TesterBase.html#a7566b61f7f50cfcde4e6213bd4f19c1a">m_totalTestCount</a></td></tr>
<tr class="separator:a7566b61f7f50cfcde4e6213bd4f19c1a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a47725f8c73becf604e363da3986b0240"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcuTest_1_1TesterBase.html#a47725f8c73becf604e363da3986b0240">m_totalTestPass</a></td></tr>
<tr class="separator:a47725f8c73becf604e363da3986b0240"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5e5c9b32993f8110ad6839ff6a3a65bf"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcuTest_1_1TesterBase.html#a5e5c9b32993f8110ad6839ff6a3a65bf">m_totalTestFail</a></td></tr>
<tr class="separator:a5e5c9b32993f8110ad6839ff6a3a65bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a76cc8cf6311fae8d7b146e5665626667"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcuTest_1_1TesterBase.html#a76cc8cf6311fae8d7b146e5665626667">m_subtest_totalTests</a></td></tr>
<tr class="separator:a76cc8cf6311fae8d7b146e5665626667"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9f82c1b43d1651613541efb302f78ef2"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcuTest_1_1TesterBase.html#a9f82c1b43d1651613541efb302f78ef2">m_subtest_totalPasses</a></td></tr>
<tr class="separator:a9f82c1b43d1651613541efb302f78ef2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7796fa31fc7d7332228a964828dfda41"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcuTest_1_1TesterBase.html#a7796fa31fc7d7332228a964828dfda41">m_subtest_name</a></td></tr>
<tr class="separator:a7796fa31fc7d7332228a964828dfda41"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a31ea58f82eda125679304f500529c50b"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcuTest_1_1TesterBase.html#a31ea58f82eda125679304f500529c50b">col_testSet</a></td></tr>
<tr class="separator:a31ea58f82eda125679304f500529c50b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a73c992fc07943fa6d487903ffc6f660f"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcuTest_1_1TesterBase.html#a73c992fc07943fa6d487903ffc6f660f">col_testName</a></td></tr>
<tr class="separator:a73c992fc07943fa6d487903ffc6f660f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a023a733f459978f9f6c2ba380505aa46"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcuTest_1_1TesterBase.html#a023a733f459978f9f6c2ba380505aa46">col_prerequisites</a></td></tr>
<tr class="separator:a023a733f459978f9f6c2ba380505aa46"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4e237c1af5850e5b680c67e9ee908bc6"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcuTest_1_1TesterBase.html#a4e237c1af5850e5b680c67e9ee908bc6">col_result</a></td></tr>
<tr class="separator:a4e237c1af5850e5b680c67e9ee908bc6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4a8fe14f997a33e8df8e0310ab4864a5"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcuTest_1_1TesterBase.html#a4a8fe14f997a33e8df8e0310ab4864a5">col_expectedOutput</a></td></tr>
<tr class="separator:a4a8fe14f997a33e8df8e0310ab4864a5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3d0861a7c9710ab0318983925773c2c1"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcuTest_1_1TesterBase.html#a3d0861a7c9710ab0318983925773c2c1">col_actualOutput</a></td></tr>
<tr class="separator:a3d0861a7c9710ab0318983925773c2c1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6ce400c9c6899880aa4dc5b3ddf32179"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcuTest_1_1TesterBase.html#a6ce400c9c6899880aa4dc5b3ddf32179">col_comments</a></td></tr>
<tr class="separator:a6ce400c9c6899880aa4dc5b3ddf32179"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a53180779cce2f2f7c973ef47b69f316e"><td class="memItemLeft" align="right" valign="top">std::ofstream&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcuTest_1_1TesterBase.html#a53180779cce2f2f7c973ef47b69f316e">m_output</a></td></tr>
<tr class="separator:a53180779cce2f2f7c973ef47b69f316e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaf885f57513621e867efa366f427a017"><td class="memItemLeft" align="right" valign="top">std::ifstream&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcuTest_1_1TesterBase.html#aaf885f57513621e867efa366f427a017">m_header</a></td></tr>
<tr class="separator:aaf885f57513621e867efa366f427a017"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ace489f3ad8e3ee5282161d4532816f05"><td class="memItemLeft" align="right" valign="top">std::ifstream&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcuTest_1_1TesterBase.html#ace489f3ad8e3ee5282161d4532816f05">m_footer</a></td></tr>
<tr class="separator:ace489f3ad8e3ee5282161d4532816f05"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4278da91d242f6b561f9712f733f8111"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcuTest_1_1TesterBase.html#a4278da91d242f6b561f9712f733f8111">m_outputPath</a></td></tr>
<tr class="separator:a4278da91d242f6b561f9712f733f8111"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a804938886352b09290ceaa424d4aa625"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcuTest_1_1TesterBase.html#a804938886352b09290ceaa424d4aa625">m_closed</a></td></tr>
<tr class="separator:a804938886352b09290ceaa424d4aa625"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>The base class for unit tests. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="aa9cf45121658bd17fb704c1c96adc444"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa9cf45121658bd17fb704c1c96adc444">&#9670;&nbsp;</a></span>TesterBase() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">cuTest::TesterBase::TesterBase </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a9965d9132c9e209d9c5e343495ea7950"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9965d9132c9e209d9c5e343495ea7950">&#9670;&nbsp;</a></span>TesterBase() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">cuTest::TesterBase::TesterBase </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>outputPath</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a5d0b4d402a3082f38c14222671585e6b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5d0b4d402a3082f38c14222671585e6b">&#9670;&nbsp;</a></span>~TesterBase()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">cuTest::TesterBase::~TesterBase </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a15f97e1dd564697810be0e11e3bb0f94"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a15f97e1dd564697810be0e11e3bb0f94">&#9670;&nbsp;</a></span>AddTest()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void cuTest::TesterBase::AddTest </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="structcuTest_1_1TestListItem.html">TestListItem</a> &amp;&#160;</td>
          <td class="paramname"><em>test</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a3bc8faf19475cec37646d7893cf6ee24"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3bc8faf19475cec37646d7893cf6ee24">&#9670;&nbsp;</a></span>BeginTable()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void cuTest::TesterBase::BeginTable </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a2affa3fca135f0750edf235ecf79aaae"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2affa3fca135f0750edf235ecf79aaae">&#9670;&nbsp;</a></span>Close()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void cuTest::TesterBase::Close </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad1ac34cf721dafab16772c6a9825f82b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad1ac34cf721dafab16772c6a9825f82b">&#9670;&nbsp;</a></span>DisplayTestInfo()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void cuTest::TesterBase::DisplayTestInfo </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a909dd5ccf8596169b911506a2a809566"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a909dd5ccf8596169b911506a2a809566">&#9670;&nbsp;</a></span>EndTable()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void cuTest::TesterBase::EndTable </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a1ea85d1eb04b9a2e3c07aa6ef8407130"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1ea85d1eb04b9a2e3c07aa6ef8407130">&#9670;&nbsp;</a></span>FinishTest()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void cuTest::TesterBase::FinishTest </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a30835f7ae4de6cecc01c09770d3abcc9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a30835f7ae4de6cecc01c09770d3abcc9">&#9670;&nbsp;</a></span>FinishTestSet()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void cuTest::TesterBase::FinishTestSet </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a4630b6e9ceb6ecddb4da589d21625c86"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4630b6e9ceb6ecddb4da589d21625c86">&#9670;&nbsp;</a></span>Open()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void cuTest::TesterBase::Open </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>outputPath</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="adde716c3182c49a2ab3d187f041b239c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adde716c3182c49a2ab3d187f041b239c">&#9670;&nbsp;</a></span>OutputFooter()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void cuTest::TesterBase::OutputFooter </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="acbca09d352bd263a5ff704d91c5f8054"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acbca09d352bd263a5ff704d91c5f8054">&#9670;&nbsp;</a></span>OutputHeader()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void cuTest::TesterBase::OutputHeader </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a66f41a6e85516933315cf679b12064f0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a66f41a6e85516933315cf679b12064f0">&#9670;&nbsp;</a></span>PrereqTest_Abort()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int cuTest::TesterBase::PrereqTest_Abort </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>functionName</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ab479ce7faa4540ffad61f766bc6f51f5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab479ce7faa4540ffad61f766bc6f51f5">&#9670;&nbsp;</a></span>PrereqTest_Success()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void cuTest::TesterBase::PrereqTest_Success </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>functionName</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a510ab9a964cdf30017407675fe86f314"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a510ab9a964cdf30017407675fe86f314">&#9670;&nbsp;</a></span>Set_ActualOutput() <span class="overload">[1/5]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void cuTest::TesterBase::Set_ActualOutput </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>variable</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ac374b7af2940333533ad0747c911b6bc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac374b7af2940333533ad0747c911b6bc">&#9670;&nbsp;</a></span>Set_ActualOutput() <span class="overload">[2/5]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void cuTest::TesterBase::Set_ActualOutput </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>variable</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a9835cce49c090b913e002e23147e92db"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9835cce49c090b913e002e23147e92db">&#9670;&nbsp;</a></span>Set_ActualOutput() <span class="overload">[3/5]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void cuTest::TesterBase::Set_ActualOutput </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>variable</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a2006dabe8bf409fbf33e95ee93919cb5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2006dabe8bf409fbf33e95ee93919cb5">&#9670;&nbsp;</a></span>Set_ActualOutput() <span class="overload">[4/5]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void cuTest::TesterBase::Set_ActualOutput </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>variable</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a0cb915753e5d4b2831a9dfa2620f37fc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0cb915753e5d4b2831a9dfa2620f37fc">&#9670;&nbsp;</a></span>Set_ActualOutput() <span class="overload">[5/5]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void cuTest::TesterBase::Set_ActualOutput </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>variable</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>value</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>stringQuotes</em> = <code>true</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a9c092fea22e30fde8989e97b798eee01"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9c092fea22e30fde8989e97b798eee01">&#9670;&nbsp;</a></span>Set_Comments()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void cuTest::TesterBase::Set_Comments </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="af8dbf4d3a6321c72f3c8000622e46c31"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af8dbf4d3a6321c72f3c8000622e46c31">&#9670;&nbsp;</a></span>Set_ExpectedOutput() <span class="overload">[1/5]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void cuTest::TesterBase::Set_ExpectedOutput </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>variable</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a714cb39d9e79f70faab1110ff655ff6e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a714cb39d9e79f70faab1110ff655ff6e">&#9670;&nbsp;</a></span>Set_ExpectedOutput() <span class="overload">[2/5]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void cuTest::TesterBase::Set_ExpectedOutput </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>variable</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a25cafcbb4dbd7f23335dae29721add73"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a25cafcbb4dbd7f23335dae29721add73">&#9670;&nbsp;</a></span>Set_ExpectedOutput() <span class="overload">[3/5]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void cuTest::TesterBase::Set_ExpectedOutput </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>variable</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ab02701de43bd20fd1838604cb58fbf57"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab02701de43bd20fd1838604cb58fbf57">&#9670;&nbsp;</a></span>Set_ExpectedOutput() <span class="overload">[4/5]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void cuTest::TesterBase::Set_ExpectedOutput </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>variable</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ac0373c6ca530dc6228868f485dfc3674"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac0373c6ca530dc6228868f485dfc3674">&#9670;&nbsp;</a></span>Set_ExpectedOutput() <span class="overload">[5/5]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void cuTest::TesterBase::Set_ExpectedOutput </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>variable</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>value</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>stringQuotes</em> = <code>true</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a0a6c5f7a8215736ca76bd258ae93fb28"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0a6c5f7a8215736ca76bd258ae93fb28">&#9670;&nbsp;</a></span>Set_Outputs() <span class="overload">[1/4]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool cuTest::TesterBase::Set_Outputs </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>label</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>expected</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>actual</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aedbedf1e7e96b2ec2e713174ea4a7dc7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aedbedf1e7e96b2ec2e713174ea4a7dc7">&#9670;&nbsp;</a></span>Set_Outputs() <span class="overload">[2/4]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool cuTest::TesterBase::Set_Outputs </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>label</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char&#160;</td>
          <td class="paramname"><em>expected</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char&#160;</td>
          <td class="paramname"><em>actual</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a780e5ed3f45cb7f70a871b8a976b586f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a780e5ed3f45cb7f70a871b8a976b586f">&#9670;&nbsp;</a></span>Set_Outputs() <span class="overload">[3/4]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool cuTest::TesterBase::Set_Outputs </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>label</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>expected</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>actual</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ac05ab5eb13b4f0be9b9e05311c9c08d2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac05ab5eb13b4f0be9b9e05311c9c08d2">&#9670;&nbsp;</a></span>Set_Outputs() <span class="overload">[4/4]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool cuTest::TesterBase::Set_Outputs </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>label</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>expected</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>actual</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>stringQuotes</em> = <code>true</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a20017e79def0186657d94baccf25f2da"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a20017e79def0186657d94baccf25f2da">&#9670;&nbsp;</a></span>Set_Result()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void cuTest::TesterBase::Set_Result </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>passed</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a7309041de77628a4a582c58133574842"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7309041de77628a4a582c58133574842">&#9670;&nbsp;</a></span>Set_TestName()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void cuTest::TesterBase::Set_TestName </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a5f39ef8cb60267fe930191b8b583a5a0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5f39ef8cb60267fe930191b8b583a5a0">&#9670;&nbsp;</a></span>Set_TestPrerequisites()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void cuTest::TesterBase::Set_TestPrerequisites </td>
          <td>(</td>
          <td class="paramtype">const std::vector&lt; std::string &gt; &amp;&#160;</td>
          <td class="paramname"><em>prereqs</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ac370bce9a3cbfc9247424d66664e4e05"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac370bce9a3cbfc9247424d66664e4e05">&#9670;&nbsp;</a></span>Set_TestSet()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void cuTest::TesterBase::Set_TestSet </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a2a92f7f5697b4021c703b7f7a8828ef7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2a92f7f5697b4021c703b7f7a8828ef7">&#9670;&nbsp;</a></span>Start()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void cuTest::TesterBase::Start </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="af4fc40455f529a9851fdccb84db10389"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af4fc40455f529a9851fdccb84db10389">&#9670;&nbsp;</a></span>StartTest()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void cuTest::TesterBase::StartTest </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>description</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a90e7106db74fa996c99b813444344477"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a90e7106db74fa996c99b813444344477">&#9670;&nbsp;</a></span>StartTestSet()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void cuTest::TesterBase::StartTestSet </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::vector&lt; std::string &gt; &amp;&#160;</td>
          <td class="paramname"><em>prereqs</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="abe08aade4d89547d7a1908a0d91b2cba"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abe08aade4d89547d7a1908a0d91b2cba">&#9670;&nbsp;</a></span>TestAll()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void cuTest::TesterBase::TestAll </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a3e6bca81ecb880bf32d3572f2d237734"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3e6bca81ecb880bf32d3572f2d237734">&#9670;&nbsp;</a></span>TestFail() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void cuTest::TesterBase::TestFail </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="addf84f4ff28c390cca523d997815998a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#addf84f4ff28c390cca523d997815998a">&#9670;&nbsp;</a></span>TestFail() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void cuTest::TesterBase::TestFail </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>message</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a3e206ea9b07dd28b494d200addfcdd73"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3e206ea9b07dd28b494d200addfcdd73">&#9670;&nbsp;</a></span>TestPass()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void cuTest::TesterBase::TestPass </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a2b4d4fca955849d282be440f6e61ed23"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2b4d4fca955849d282be440f6e61ed23">&#9670;&nbsp;</a></span>TestResult()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int cuTest::TesterBase::TestResult </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ab246564dea42e4e14468c90841aa8a4f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab246564dea42e4e14468c90841aa8a4f">&#9670;&nbsp;</a></span>WriteoutRow()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void cuTest::TesterBase::WriteoutRow </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ad3178736d50e878542de564e148a6841"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad3178736d50e878542de564e148a6841">&#9670;&nbsp;</a></span>WriteoutSummary()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void cuTest::TesterBase::WriteoutSummary </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a3d0861a7c9710ab0318983925773c2c1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3d0861a7c9710ab0318983925773c2c1">&#9670;&nbsp;</a></span>col_actualOutput</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::string cuTest::TesterBase::col_actualOutput</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a6ce400c9c6899880aa4dc5b3ddf32179"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6ce400c9c6899880aa4dc5b3ddf32179">&#9670;&nbsp;</a></span>col_comments</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::string cuTest::TesterBase::col_comments</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a4a8fe14f997a33e8df8e0310ab4864a5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4a8fe14f997a33e8df8e0310ab4864a5">&#9670;&nbsp;</a></span>col_expectedOutput</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::string cuTest::TesterBase::col_expectedOutput</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a023a733f459978f9f6c2ba380505aa46"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a023a733f459978f9f6c2ba380505aa46">&#9670;&nbsp;</a></span>col_prerequisites</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::string cuTest::TesterBase::col_prerequisites</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a4e237c1af5850e5b680c67e9ee908bc6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4e237c1af5850e5b680c67e9ee908bc6">&#9670;&nbsp;</a></span>col_result</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::string cuTest::TesterBase::col_result</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a73c992fc07943fa6d487903ffc6f660f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a73c992fc07943fa6d487903ffc6f660f">&#9670;&nbsp;</a></span>col_testName</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::string cuTest::TesterBase::col_testName</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a31ea58f82eda125679304f500529c50b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a31ea58f82eda125679304f500529c50b">&#9670;&nbsp;</a></span>col_testSet</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::string cuTest::TesterBase::col_testSet</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a804938886352b09290ceaa424d4aa625"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a804938886352b09290ceaa424d4aa625">&#9670;&nbsp;</a></span>m_closed</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool cuTest::TesterBase::m_closed</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ace489f3ad8e3ee5282161d4532816f05"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ace489f3ad8e3ee5282161d4532816f05">&#9670;&nbsp;</a></span>m_footer</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::ifstream cuTest::TesterBase::m_footer</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aaf885f57513621e867efa366f427a017"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaf885f57513621e867efa366f427a017">&#9670;&nbsp;</a></span>m_header</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::ifstream cuTest::TesterBase::m_header</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a53180779cce2f2f7c973ef47b69f316e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a53180779cce2f2f7c973ef47b69f316e">&#9670;&nbsp;</a></span>m_output</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::ofstream cuTest::TesterBase::m_output</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a4278da91d242f6b561f9712f733f8111"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4278da91d242f6b561f9712f733f8111">&#9670;&nbsp;</a></span>m_outputPath</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::string cuTest::TesterBase::m_outputPath</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a7796fa31fc7d7332228a964828dfda41"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7796fa31fc7d7332228a964828dfda41">&#9670;&nbsp;</a></span>m_subtest_name</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::string cuTest::TesterBase::m_subtest_name</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a9f82c1b43d1651613541efb302f78ef2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9f82c1b43d1651613541efb302f78ef2">&#9670;&nbsp;</a></span>m_subtest_totalPasses</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int cuTest::TesterBase::m_subtest_totalPasses</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a76cc8cf6311fae8d7b146e5665626667"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a76cc8cf6311fae8d7b146e5665626667">&#9670;&nbsp;</a></span>m_subtest_totalTests</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int cuTest::TesterBase::m_subtest_totalTests</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a0c6cd37c720a2049b7c6bbc683bb8f33"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0c6cd37c720a2049b7c6bbc683bb8f33">&#9670;&nbsp;</a></span>m_tests</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::list&lt;<a class="el" href="structcuTest_1_1TestListItem.html">TestListItem</a>&gt; cuTest::TesterBase::m_tests</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a7566b61f7f50cfcde4e6213bd4f19c1a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7566b61f7f50cfcde4e6213bd4f19c1a">&#9670;&nbsp;</a></span>m_totalTestCount</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int cuTest::TesterBase::m_totalTestCount</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a5e5c9b32993f8110ad6839ff6a3a65bf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5e5c9b32993f8110ad6839ff6a3a65bf">&#9670;&nbsp;</a></span>m_totalTestFail</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int cuTest::TesterBase::m_totalTestFail</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a47725f8c73becf604e363da3986b0240"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a47725f8c73becf604e363da3986b0240">&#9670;&nbsp;</a></span>m_totalTestPass</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int cuTest::TesterBase::m_totalTestPass</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>CuTest/<a class="el" href="TesterBase_8h_source.html">TesterBase.h</a></li>
<li>CuTest/<a class="el" href="TesterBase_8cpp.html">TesterBase.cpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
